#ifndef FLUID_DISPENSER_HPP_
#define FLUID_DISPENSER_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MFluidDispenser/MFluidDispenser.hpp>

class FluidDispenser : public SpriteBlock, public MachineBlockMixin<MFluidDispenser>
{
public:
    FluidDispenser(std::string name);

    virtual bool canManuallyDig() override;
    virtual void onInteract(LocalWorld &world, Player &player, glm::ivec3 pos, Side side, const RGBABytes &collisionKey) override;
    virtual bool canPlace(LocalWorld &world, IWorldActor &actor, glm::ivec3 pos, Side side, uint8_t &meta) override;
};

#endif